﻿using Syncfusion.Windows.Forms.Grid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace GGC_Sample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            #region "DataSource"
            DataTable dataTable = new DataTable();
            dataTable.Columns.Add("Name");
            dataTable.Columns.Add("Id");
            dataTable.Columns.Add("Amount", typeof(double));
            Random random = new Random();
            for (int i = 0; i < 500; i++)
            {
                DataRow dataRow = dataTable.NewRow();
                dataRow[0] = "category" + i;
                dataRow[1] = "E" + random.Next(30);
                dataRow[2] = random.Next(random.Next(2000, 20100)) / 3.24;
                //To add the image for the ImageColumn
                dataTable.Rows.Add(dataRow);
            }
            //To set the datasource
            this.gridGroupingControl1.DataSource = dataTable;
            #endregion

            //To disable tab key within the grid
            this.gridGroupingControl1.WantTabKey = false;
            //Event subscription
            this.gridGroupingControl1.TableControl.GotFocus += GridGroupingControl1_GotFocus;
            this.textBox1.GotFocus += TextBox1_GotFocus;
            //this.gridGroupingControl1.TableOptions.ListBoxSelectionMode = SelectionMode.One;
        }

        private void TextBox1_GotFocus(object sender, EventArgs e)
        {
            Console.WriteLine("TextBox got focus");
        }
        //Customizing the event
        private void GridGroupingControl1_GotFocus(object sender, EventArgs e)
        {
           Console.WriteLine("Control got focus");
        }
    }
}
